# bNode Struct Reference

`#include <btree.h>`

## Public Member Functions

char reserved[131] | __attribute__ ((packed))
bool leaf | __attribute__ ((packed))
uInt32 magic2 | __attribute__ ((packed))
uInt32 childCount[B_MAX_KEYS+1] | __attribute__ ((packed))
uPtr tail[B_MAX_KEYS+1] | __attribute__ ((packed))
uPtr head[B_MAX_KEYS+1] | __attribute__ ((packed))
bool present[B_MAX_KEYS+1] | __attribute__ ((packed))
char keys[B_MAX_KEYS][B_MAX_NAME_LENGTH] | __attribute__ ((packed))
uInt64 tag | __attribute__ ((packed))
uPtr parent | __attribute__ ((packed))
uInt32 used | __attribute__ ((packed))
uInt32 magic1 | __attribute__ ((packed))

## Detailed Description

Definition at line 20 of file btree.h.

## Member Function Documentation

char reserved [131] bNode::__attribute__ | ( | (packed) |  | ) |

bool leaf bNode::__attribute__ | ( | (packed) |  | ) |

uInt32 magic2 bNode::__attribute__ | ( | (packed) |  | ) |

uInt32 childCount [B_MAX_KEYS+1] bNode::__attribute__ | ( | (packed) |  | ) |

uPtr tail [B_MAX_KEYS+1] bNode::__attribute__ | ( | (packed) |  | ) |

uPtr head [B_MAX_KEYS+1] bNode::__attribute__ | ( | (packed) |  | ) |

bool present [B_MAX_KEYS+1] bNode::__attribute__ | ( | (packed) |  | ) |

char keys [B_MAX_KEYS][B_MAX_NAME_LENGTH] bNode::__attribute__ | ( | (packed) |  | ) |

uInt64 tag bNode::__attribute__ | ( | (packed) |  | ) |

uPtr parent bNode::__attribute__ | ( | (packed) |  | ) |

uInt32 used bNode::__attribute__ | ( | (packed) |  | ) |

uInt32 magic1 bNode::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/btree.h